[vdr-plugin-markad] 01/07: Updated get-vcs-snapshot.sh
Tobias Grimm
tiber-guest at moszumanska.debian.org
Thu Feb 12 21:35:30 UTC 2015
This is an automated email from the git hooks/post-receive script.
tiber-guest pushed a commit to branch master
in repository vdr-plugin-markad.
commit 3c0226dc89c1c5ae458aedbef03d2b7b9d88843f
Author: etobi <git at e-tobi.net>
Date: Thu Feb 12 21:58:50 2015 +0100
Updated get-vcs-snapshot.sh
---
debian/get-vcs-snapshot.sh | 12 +++++-------
debian/rules | 3 +++
2 files changed, 8 insertions(+), 7 deletions(-)
diff --git a/debian/get-vcs-snapshot.sh b/debian/get-vcs-snapshot.sh
index 6e3879c..c9702a0 100644
--- a/debian/get-vcs-snapshot.sh
+++ b/debian/get-vcs-snapshot.sh
@@ -2,20 +2,18 @@ echo Downloading latest from git repository...
set -e
DEB_SOURCE_PACKAGE=`egrep '^Source: ' debian/control | cut -f 2 -d ' '`
+VERSION_UPSTREAM=`dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2 | cut -d- -f1 | sed -r 's/(.*)\+git.*/\1/'`
VERSION_DATE=`/bin/date --utc +%0Y%0m%0d`
-VERSION_FULL="0.1.2+git${VERSION_DATE}"
+VERSION_FULL="${VERSION_UPSTREAM}+git${VERSION_DATE}"
-git clone git://projects.vdr-developer.org/${DEB_SOURCE_PACKAGE}.git
+git clone --depth 1 git://projects.vdr-developer.org/${DEB_SOURCE_PACKAGE}.git
cd ${DEB_SOURCE_PACKAGE}
-GIT_SHA=`git show --pretty=format:"%h" --quiet || true`
+GIT_SHA=`git show --pretty=format:"%h" --quiet | head -1 || true`
cd ..
tar --exclude=.git -czf "../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.gz" ${DEB_SOURCE_PACKAGE}
-rm -rf ${DEB_SOURCE_PACKAGE}
-
-git-import-orig --pristine-tar "../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.gz"
dch -v "$VERSION_FULL-1" "New Upstream Snapshot (commit $GIT_SHA)"
-
+rm -rf ${DEB_SOURCE_PACKAGE}
diff --git a/debian/rules b/debian/rules
index d286369..d589810 100755
--- a/debian/rules
+++ b/debian/rules
@@ -22,3 +22,6 @@ override_dh_auto_clean:
override_dh_gencontrol:
sh /usr/share/vdr-dev/dependencies.sh
dh_gencontrol
+
+get-vcs-snapshot:
+ sh debian/get-vcs-snapshot.sh
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-vdr-dvb/vdr-plugin-markad.git
More information about the pkg-vdr-dvb-changes
mailing list